Subject: bug#11252: recheck not dependent on all:

From: Stefano Lattarini <[email-masked]>
Date: Mon, 16 Apr 2012 13:27:56 +0200

[CC:ing bug-automake so that we won't forget about the issue]

On 04/16/2012 09:02 AM, Peter Johansson wrote:
> Hello,
> 
> I find the recheck target very handy. In most projects we have a recursive
> structure and added a
> 
> recheck: all
>     (cd test && make $@)
> 
> in top_dir. And typically I work like
> 
> edit sources
> make recheck VERBOSE=1 -j8
> edit source
> etc
> 
> which works very nice. Now I've started to work in a project with non-recursive
> Makefile and I tried working the same fashion but got very confused until I
> realized recheck does not depend on all, so my changes in source did not affect
> the test result unless i did
> 
> make all -j8 && make recheck VERBOSE=1 -j8
> 
> I'm just curious; why isn't 'recheck' automatically doing that for me in the
> same fashion as 'check' depends on 'all'.
>
No good reason that I can think of actually; maybe it is just a wart that has
been there since day one.

I'll take a look shortly; probably this is something we can solve before
Automake 1.12 (in which case we'd better release another beta as well).

Thanks,
  Stefano